Uses of Class
de.xima.fc.api.rest.pub.client.security.ApiCall
-
Packages that use ApiCall Package Description de.xima.fc.api.rest.pub.client.security de.xima.fc.api.rest.pub.client.security.api de.xima.fc.api.rest.pub.client.security.auth -
-
Uses of ApiCall in de.xima.fc.api.rest.pub.client.security
Subclasses of ApiCall in de.xima.fc.api.rest.pub.client.security Modifier and Type Class Description classEndpointCategoryCall<Self>Represents an API call made from a certainEndpointCategory.Methods in de.xima.fc.api.rest.pub.client.security with parameters of type ApiCall Modifier and Type Method Description <T> Future<ApiResponse<T>>ApiClient. invokeApiAsync(ApiCall<?> call)Invoke an API endpoint by sending an HTTP request with the given options.<T> Future<ApiResponse<T>>ApiClient. invokeApiAsync(ApiCall<?> call, javax.ws.rs.client.InvocationCallback<ApiResponse<T>> invocationCallback)Invoke an API endpoint by sending an HTTP request with the given options.<T> Future<ApiResponse<T>>DefaultApiClient. invokeApiAsync(ApiCall<?> call)<T> Future<ApiResponse<T>>DefaultApiClient. invokeApiAsync(ApiCall<?> call, javax.ws.rs.client.InvocationCallback<ApiResponse<T>> invocationCallback)<T> CompletionStage<ApiResponse<T>>ApiClient. invokeApiRx(ApiCall<?> call)Invoke an API endpoint by sending an HTTP request with the given options.<T> CompletionStage<ApiResponse<T>>DefaultApiClient. invokeApiRx(ApiCall<?> call)<T> ApiResponse<T>ApiClient. invokeApiSync(ApiCall<?> call)Invoke an API endpoint by sending an HTTP request with the given options.<T> ApiResponse<T>DefaultApiClient. invokeApiSync(ApiCall<?> call)default voidApiCallInterceptor. onBeginApiCall(ApiCall<?> call)When an API call is about to begin, before it was processed in any way.default Optional<javax.ws.rs.client.Entity<?>>ApiCallInterceptor. onEntitySerialized(ApiCall<?> call, javax.ws.rs.client.Entity<?> entity)When theEntitywas created from the data of the API call.default Optional<javax.ws.rs.client.Invocation.Builder>ApiCallInterceptor. onInvocationBuilderConfigured(ApiCall<?> call, javax.ws.rs.client.Invocation.Builder builder)When theInvocation.Builderwas created and configured with the data of the API call.default Optional<javax.ws.rs.client.WebTarget>ApiCallInterceptor. onWebTargetConfigured(ApiCall<?> call, javax.ws.rs.client.WebTarget target)When theWebTargetwas created and configured with the data of the API call.Constructors in de.xima.fc.api.rest.pub.client.security with parameters of type ApiCall Constructor Description DefaultApiInvocation(ApiClient apiClient, ApiCall<?> call)Creates a new wrapper for an API call to provide multiple dispatch styles. -
Uses of ApiCall in de.xima.fc.api.rest.pub.client.security.api
Subclasses of ApiCall in de.xima.fc.api.rest.pub.client.security.api Modifier and Type Class Description classAuthenticationApi.AuthenticateHandler for theauthenticateAPI method that lets you choose the content type via theAcceptheader.classAuthenticationApi.GetMfaSettingsHandler for thegetMfaSettingsAPI method that lets you choose the content type via theAcceptheader.classAuthenticationApi.RefreshHandler for therefreshAPI method that lets you choose the content type via theAcceptheader.classAuthenticationApi.RefreshMfaTempTokenHandler for therefreshMfaTempTokenAPI method that lets you choose the content type via theAcceptheader.classAuthenticationApi.RevokeHandler for therevokeAPI method that lets you choose the content type via theAcceptheader.classAuthenticationApi.VerifyMfaCodeHandler for theverifyMfaCodeAPI method that lets you choose the content type via theAcceptheader.classAuthenticatorsApi.GetSingleAuthenticatorHandler for thegetSingleAuthenticatorAPI method that lets you choose the content type via theAcceptheader. -
Uses of ApiCall in de.xima.fc.api.rest.pub.client.security.auth
Methods in de.xima.fc.api.rest.pub.client.security.auth with parameters of type ApiCall Modifier and Type Method Description voidApiKeyAuth. applyToParams(ApiCall<?> call)voidAuthentication. applyToParams(ApiCall<?> call)Apply authentication settings to header and query params.voidHttpBasicAuth. applyToParams(ApiCall<?> call)voidHttpBearerAuth. applyToParams(ApiCall<?> call)
-